Page MenuHomePhabricator

Unclear display of the last paragraph of a page in dewikisource
Closed, ResolvedPublic

Description

When looking at this Wikisource page https://de.wikisource.org/wiki/Seite:Versuch_%C3%BCber_die_wahre_Art_das_Clavier_zu_spielen_Teil_1_1759.pdf/91 i wonder why there is a line break after the last but one line ending with the words "vorgenommen werden müssen. Bey". Usually such line breaks do only appear after an empty line in the wikitext which is not the case here. Interestingly, this does not happen when the page is included in an article https://de.wikisource.org/wiki/Versuch_%C3%BCber_die_wahre_Art_das_Clavier_zu_spielen/T1H2A4_Doppelschlag.

This behavior is new and not correct. Should be fixed.

Event Timeline

Aschroet created this task.Apr 11 2016, 4:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2016, 4:33 PM
Aschroet updated the task description. (Show Details)Apr 11 2016, 4:35 PM
Aschroet added a subscriber: Tpt.Apr 16 2016, 11:20 AM

@Tpt, do you have any idea about this behavior?

Tpt closed this task as Resolved.Apr 16 2016, 12:22 PM
Tpt claimed this task.

Resolved by: https://de.wikisource.org/w/index.php?title=Vorlage%3ABlockSatzEnd&action=historysubmit&type=revision&diff=2580760&oldid=2517106

Please do not use this kind of templates, it overloads the wikitext of the page and introduces easily a lot of bad behaviours. I really believe you could archive the same things with CSS.

Thank you a lot for the fast help.

THE_IT reopened this task as Open.May 3 2016, 2:57 PM
THE_IT added a subscriber: THE_IT.

The error still exists. We followed the recommandation of @Tpt. we 're working to remove all of the Template-usage in the namespace Seite. At this Lemma
this already happened. After deleting the template here, the error stillt exists.

In Vorlage:Zitierempfehlung

<onlyinclude><div id="zitierhilfe" style="clear:both; background-color...

add "new line" after <onlyinclude>:

<onlyinclude>
<div id="zitierhilfe" style="clear:both; background-color...

to separate footer from pagetext.
Z.

Zdzislaw closed this task as Resolved.May 5 2016, 10:06 AM